path: /build/build/ramdisk-sys-apps-1.1.5.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge sys-apps/ramdisk -pv -t && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge -j ${JOBS} --nodeps sys-apps/ramdisk
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/ramdisk && luet-portage --dir /pkgdir/ramdisk
    sys-apps/ramdisk && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:30d045acd01f02bb00853192498221614a9d43e16a93a73dad8dc461b2b1f361
  package:
    name: ramdisk
    version: 1.1.5
    category: sys-apps
    use_flags:
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python_targets_python3_9
    requires:
    - name: macaroni-funtoo-race17
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Funtoo framework for creating initial ramdisks.
    uri:
    - https://code.funtoo.org/bitbucket/users/drobbins/repos/funtoo-ramdisk/browse
      https://pypi.org/project/funtoo-ramdisk/
    license: Apache-2.0
    buildtimestamp: 2023-10-23 07:10:46.458857381 +0000 UTC m=+130.756743201
    labels:
      BDEPEND: python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
        ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 )
        python_targets_python3_10? ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        >=dev-python/setuptools-42.0.2[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      IUSE: python_targets_python3_7 python_targets_python3_9 python_targets_python3_8
        python_targets_python3_10
      RDEPEND: app-arch/xz-utils app-arch/zstd app-misc/pax-utils sys-apps/busybox[-pam,static]
        dev-python/rich[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
        ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 )
        python_targets_python3_10? ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      emerge.packages: sys-apps/ramdisk
      kit: core-kit
      original.package.name: sys-apps/ramdisk
      original.package.slot: "0"
      original.package.version: 1.1.5
    treedir: /build/packages
  package_dir: /pkgdir/ramdisk
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 3249f875defd880c34daa0535304df5dc4304e87408dd63d42d0c6872a377519
compressiontype: zstd
files:
- usr/bin/ramdisk
- usr/lib/python-exec/python3.9/ramdisk
- usr/lib/python3.9/site-packages/funtoo_ramdisk/__init__.py
- usr/lib/python3.9/site-packages/funtoo_ramdisk/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/__pycache__/args.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/__pycache__/args.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/__pycache__/args.cpython-39.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/__pycache__/config_files.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/__pycache__/config_files.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/__pycache__/config_files.cpython-39.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/__pycache__/const.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/__pycache__/const.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/__pycache__/const.cpython-39.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/__pycache__/initramfs.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/__pycache__/initramfs.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/__pycache__/initramfs.cpython-39.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/__pycache__/kernel.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/__pycache__/kernel.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/__pycache__/kernel.cpython-39.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/__pycache__/log.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/__pycache__/log.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/__pycache__/log.cpython-39.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/__pycache__/modules.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/__pycache__/modules.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/__pycache__/modules.cpython-39.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/__pycache__/plugin_base.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/__pycache__/plugin_base.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/__pycache__/plugin_base.cpython-39.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/__pycache__/utilities.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/__pycache__/utilities.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/__pycache__/utilities.cpython-39.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/__pycache__/version.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/__pycache__/version.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/__pycache__/version.cpython-39.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/args.py
- usr/lib/python3.9/site-packages/funtoo_ramdisk/config_files.py
- usr/lib/python3.9/site-packages/funtoo_ramdisk/const.py
- usr/lib/python3.9/site-packages/funtoo_ramdisk/initramfs.py
- usr/lib/python3.9/site-packages/funtoo_ramdisk/kernel.py
- usr/lib/python3.9/site-packages/funtoo_ramdisk/log.py
- usr/lib/python3.9/site-packages/funtoo_ramdisk/modules.py
- usr/lib/python3.9/site-packages/funtoo_ramdisk/plugin_base.py
- usr/lib/python3.9/site-packages/funtoo_ramdisk/plugins/__init__.py
- usr/lib/python3.9/site-packages/funtoo_ramdisk/plugins/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/plugins/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/plugins/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/plugins/__pycache__/btrfs.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/plugins/__pycache__/btrfs.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/plugins/__pycache__/btrfs.cpython-39.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/plugins/__pycache__/core.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/plugins/__pycache__/core.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/plugins/__pycache__/core.cpython-39.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/plugins/__pycache__/lvm.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/plugins/__pycache__/lvm.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/plugins/__pycache__/lvm.cpython-39.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/plugins/btrfs.py
- usr/lib/python3.9/site-packages/funtoo_ramdisk/plugins/core.py
- usr/lib/python3.9/site-packages/funtoo_ramdisk/plugins/lvm.py
- usr/lib/python3.9/site-packages/funtoo_ramdisk/support/__init__.py
- usr/lib/python3.9/site-packages/funtoo_ramdisk/support/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/support/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/support/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/support/etc/initrd.defaults
- usr/lib/python3.9/site-packages/funtoo_ramdisk/support/etc/initrd.scripts
- usr/lib/python3.9/site-packages/funtoo_ramdisk/support/initramfs.cpio
- usr/lib/python3.9/site-packages/funtoo_ramdisk/support/linuxrc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/support/module_configs/__init__.py
- usr/lib/python3.9/site-packages/funtoo_ramdisk/support/module_configs/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/support/module_configs/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/support/module_configs/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/support/module_configs/full/__init__.py
- usr/lib/python3.9/site-packages/funtoo_ramdisk/support/module_configs/full/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/support/module_configs/full/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/support/module_configs/full/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/funtoo_ramdisk/support/module_configs/full/modules.autoload
- usr/lib/python3.9/site-packages/funtoo_ramdisk/support/module_configs/full/modules.copy
- usr/lib/python3.9/site-packages/funtoo_ramdisk/utilities.py
- usr/lib/python3.9/site-packages/funtoo_ramdisk/version.py
- usr/lib/python3.9/site-packages/funtoo_ramdisk-1.1.5-py3.9.egg-info/PKG-INFO
- usr/lib/python3.9/site-packages/funtoo_ramdisk-1.1.5-py3.9.egg-info/SOURCES.txt
- usr/lib/python3.9/site-packages/funtoo_ramdisk-1.1.5-py3.9.egg-info/dependency_links.txt
- usr/lib/python3.9/site-packages/funtoo_ramdisk-1.1.5-py3.9.egg-info/not-zip-safe
- usr/lib/python3.9/site-packages/funtoo_ramdisk-1.1.5-py3.9.egg-info/requires.txt
- usr/lib/python3.9/site-packages/funtoo_ramdisk-1.1.5-py3.9.egg-info/top_level.txt
- usr/share/man/man8/ramdisk.8.bz2
- var/db/pkg/sys-apps/ramdisk-1.1.5/BDEPEND
- var/db/pkg/sys-apps/ramdisk-1.1.5/BUILD_TIME
- var/db/pkg/sys-apps/ramdisk-1.1.5/CATEGORY
- var/db/pkg/sys-apps/ramdisk-1.1.5/CBUILD
- var/db/pkg/sys-apps/ramdisk-1.1.5/CFLAGS
- var/db/pkg/sys-apps/ramdisk-1.1.5/CHOST
- var/db/pkg/sys-apps/ramdisk-1.1.5/CONTENTS
- var/db/pkg/sys-apps/ramdisk-1.1.5/COUNTER
- var/db/pkg/sys-apps/ramdisk-1.1.5/CXXFLAGS
- var/db/pkg/sys-apps/ramdisk-1.1.5/DEFINED_PHASES
- var/db/pkg/sys-apps/ramdisk-1.1.5/DESCRIPTION
- var/db/pkg/sys-apps/ramdisk-1.1.5/EAPI
- var/db/pkg/sys-apps/ramdisk-1.1.5/FEATURES
- var/db/pkg/sys-apps/ramdisk-1.1.5/HOMEPAGE
- var/db/pkg/sys-apps/ramdisk-1.1.5/INHERITED
- var/db/pkg/sys-apps/ramdisk-1.1.5/IUSE
- var/db/pkg/sys-apps/ramdisk-1.1.5/IUSE_EFFECTIVE
- var/db/pkg/sys-apps/ramdisk-1.1.5/KEYWORDS
- var/db/pkg/sys-apps/ramdisk-1.1.5/LDFLAGS
- var/db/pkg/sys-apps/ramdisk-1.1.5/LICENSE
- var/db/pkg/sys-apps/ramdisk-1.1.5/PF
- var/db/pkg/sys-apps/ramdisk-1.1.5/RDEPEND
- var/db/pkg/sys-apps/ramdisk-1.1.5/SIZE
- var/db/pkg/sys-apps/ramdisk-1.1.5/SLOT
- var/db/pkg/sys-apps/ramdisk-1.1.5/USE
- var/db/pkg/sys-apps/ramdisk-1.1.5/environment.bz2
- var/db/pkg/sys-apps/ramdisk-1.1.5/ramdisk-1.1.5.ebuild
- var/db/pkg/sys-apps/ramdisk-1.1.5/repository
package_cacheimage: ""
runtime:
  name: ramdisk
  version: 1.1.5
  category: sys-apps
  use_flags:
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python_targets_python3_9
  requires:
  - name: zstd
    version: '>=0'
    category: app-arch
  - name: pax-utils
    version: '>=0'
    category: app-misc
  - name: rich
    version: '>=0'
    category: dev-python
  - name: busybox
    version: '>=0'
    category: sys-apps
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Funtoo framework for creating initial ramdisks.
  uri:
  - https://code.funtoo.org/bitbucket/users/drobbins/repos/funtoo-ramdisk/browse https://pypi.org/project/funtoo-ramdisk/
  license: Apache-2.0
  labels:
    BDEPEND: python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
      ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python3_10?
      ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      >=dev-python/setuptools-42.0.2[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
    IUSE: python_targets_python3_7 python_targets_python3_9 python_targets_python3_8
      python_targets_python3_10
    RDEPEND: app-arch/xz-utils app-arch/zstd app-misc/pax-utils sys-apps/busybox[-pam,static]
      dev-python/rich[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
      ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python3_10?
      ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
    emerge.packages: sys-apps/ramdisk
    kit: core-kit
    original.package.name: sys-apps/ramdisk
    original.package.slot: "0"
    original.package.version: 1.1.5
